define([
    'jquery',
    'mage/translate',
    'text!../templates/modal/modal-cart.html'
],
function ($, $t, cartTpl) {
    return function (target) {
        $(document).on('ajax:addToCart', function (e, data) {
            let product = data.response.product;
            if(typeof product !== 'undefined')
            {
                //let initial_position = $('html, body').scrollTop();
               // $('html, body').animate({scrollTop: (0)}, 500);

                let popup = $('<div class="add-to-cart-dialog"/>').modal({
                    modalClass: 'add-to-cart-popup',
                    title: product.title,
                    img: product.image,
                    qty: $t('Quantity')+" <span> " + product.qty+"</span>",
                    attr: product.attributes,
                    price: product.price,
                    buttons: [
                        {
                            text: $t('Continue Shopping'),
                            class: 'non-important-button',
                            click: function () {
                                this.closeModal();
                                //$('html, body').animate({scrollTop: (initial_position)}, 500);
                            }
                        },
                        {
                            text: $t('Proceed to Checkout'),
                            class: 'important-button',
                            click: function () {
                                window.location = window.checkout.checkoutUrl
                            }
                        }
                    ],
                    type: 'cart',
                    customTpl: 'cart',
                    cartTpl: cartTpl
                });
                popup.modal('openModal');
            }
        });
    }
});
